# Functor Ephemeron.Kn.MakeSeeded

    module MakeSeeded: functor (H : Hashtbl.SeededHashedType) -> Ephemeron.SeededS  with type key = H.t array

Functor building an implementation of a weak hash table. The seed is similar to the one of `Hashtbl.MakeSeeded`.

Parameters:

`H` | : | `Hashtbl.SeededHashedType`

    include Hashtbl.SeededS

    val clean : 'a t -> unit

remove all dead bindings. Done automatically during automatic resizing.

    val stats_alive : 'a t -> Hashtbl.statistics

same as `Hashtbl.SeededS.stats` but only count the alive bindings